Package com.sas.lsaf.core.configuration

## Class ApplicationInformation

- java.lang.Object
- - com.sas.lsaf.core.configuration.ApplicationInformation

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ApplicationInformation
      extends java.lang.Object
      implements java.io.Serializable

  Provides information on the internal versions of components that were deployed with the API. This information is typically only used internally to verify the deployment consistency between the client and server distributions, but this information can be used by consumers of the API to do their own version checking and help in the debugging and technical support issue which may arise.
  Since:
    1.7
  See Also:
    `ApplicationInformationService.getApplicationInformation()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationInformation​(java.lang.String apiServerVersion, java.lang.String appServerVersion)` | Initializing constructor which sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getApiClientVersion()` | Returns the SAS Life Science Analytics Framework API version running on the client.
    `java.lang.String` | `getApiServerVersion()` | Returns the SAS Life Science Analytics Framework API version running on the server.
    `java.lang.String` | `getAppServerVersion()` | Returns the SAS Life Science Analytics Framework server version the API is connected to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationInformation

          public ApplicationInformation​(java.lang.String apiServerVersion,
                                        java.lang.String appServerVersion)

      Initializing constructor which sets the values of all variables. It is not intended for consumers of the API to construct these objects directly, rather retrieve them from the call `ApplicationInformationService.getApplicationInformation()`.
      Parameters:
        `apiServerVersion` - The SAS Life Science Analytics Framework API version running on the server.
        `appServerVersion` - The SAS Life Science Analytics Framework server version.

  - ### Method Detail

    - #### getApiClientVersion

          public java.lang.String getApiClientVersion()

      Returns the SAS Life Science Analytics Framework API version running on the client.
      Returns:
        The SAS Life Science Analytics Framework API version running on the client.

    - #### getApiServerVersion

          public java.lang.String getApiServerVersion()

      Returns the SAS Life Science Analytics Framework API version running on the server.
      Returns:
        The SAS Life Science Analytics Framework API version running on the server.

    - #### getAppServerVersion

          public java.lang.String getAppServerVersion()

      Returns the SAS Life Science Analytics Framework server version the API is connected to.
      Returns:
        The SAS Life Science Analytics Framework server version the API is connected to.